org.apache.axiom.ext.stax

## Interface DTDReader

-     public interface DTDReader

  Optional interface implemented by `XMLStreamReader` implementations that provide additional data about `XMLStreamConstants.DTD` events.

  All the requirements outlined in `org.apache.axiom.ext.stax` apply to this extension interface. In particular, to get a reference to the extension, the consumer MUST call `XMLStreamReader.getProperty(String)` with `PROPERTY` as the property name.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROPERTY` The name of the property used to look up this extension interface from a `XMLStreamReader` implementation.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getPublicId()` Get the public ID of the external subset.
    `String` | `getRootName()` Get the root name of the DTD, i.e. the name immediately following the `DOCTYPE` keyword.
    `String` | `getSystemId()` Get the system ID of the external subset.

- - ### Field Detail

    - #### PROPERTY

          static final String PROPERTY

      The name of the property used to look up this extension interface from a `XMLStreamReader` implementation.

  - ### Method Detail

    - #### getRootName

          String getRootName()

      Get the root name of the DTD, i.e. the name immediately following the `DOCTYPE` keyword.
      Returns:
        the root name; must not be `null`
      Throws:
        `IllegalStateException` - if the current event is not `XMLStreamConstants.DTD`

    - #### getPublicId

          String getPublicId()

      Get the public ID of the external subset.
      Returns:
        the public ID, or `null` if there is no external subset or no public ID has been specified for the external subset
      Throws:
        `IllegalStateException` - if the current event is not `XMLStreamConstants.DTD`

    - #### getSystemId

          String getSystemId()

      Get the system ID of the external subset.
      Returns:
        the system ID, or `null` if there is no external subset
      Throws:
        `IllegalStateException` - if the current event is not `XMLStreamConstants.DTD`

Copyright © The Apache Software Foundation. All Rights Reserved.